import logging

def setup_logger(logfile="my_log.log"):
    logging.basicConfig(filename=logfile, level=logging.DEBUG, format='%(asctime)s - %(name)s - %(levelname)s - %(message)s')
    return logging.getLogger(__name__)


class MyLogger:
    def __init__(self, name='my_logger', level=logging.INFO):
        self.logger = logging.getLogger(name)
        self.logger.setLevel(level)
        self.handler = logging.StreamHandler()
        self.formatter = logging.Formatter('%(asctime)s - %(name)s - %(levelname)s - %(message)s')
        self.handler.setFormatter(self.formatter)
        self.logger.addHandler(self.handler)


    def custom_format(self, message):
        return f"Custom Prefix: {message}"


def create_logger(name='my_logger', level=logging.INFO):
    return MyLogger(name, level)
